<?php

namespace Fgc\SecurePay\Api\Data;

interface ApplePayPaymentDataInterface
{
    public const ENCRYPTED_DATA = 'encrypted_data';
    public const SIGNATURE = 'signature';
    public const VERSION = 'version';
    public const EPHEMERAL_PUBLIC_KEY = 'ephemeral_public_key';
    public const PUBLIC_KEY_HASH = 'public_key_hash';
    public const TRANSACTION_ID = 'transaction_id';
    public const APPLICATION_DATA = 'application_data';

    /**
     * Getter for EncryptedData.
     *
     * @return string
     */
    public function getEncryptedData(): string;

    /**
     * Setter for EncryptedData.
     *
     * @param string $encryptedData
     *
     * @return $this
     */
    public function setEncryptedData(string $encryptedData): self;

    /**
     * Getter for signature.
     *
     * @return string
     */
    public function getSignature(): string;

    /**
     * Setter for signature.
     *
     * @param string $signature
     *
     * @return $this
     */
    public function setSignature(string $signature): self;

    /**
     * Getter for version.
     *
     * @return string
     */
    public function getVersion(): string;

    /**
     * Setter for version.
     *
     * @param string $version
     *
     * @return $this
     */
    public function setVersion(string $version): self;

    /**
     * Getter for EphemeralPublicKey.
     *
     * @return string
     */
    public function getEphemeralPublicKey(): string;

    /**
     * Setter for EphemeralPublicKey.
     *
     * @param string $ephemeralPublicKey
     *
     * @return $this
     */
    public function setEphemeralPublicKey(string $ephemeralPublicKey): self;

    /**
     * Getter for PublicKeyHash.
     *
     * @return string
     */
    public function getPublicKeyHash(): string;

    /**
     * Setter for PublicKeyHash.
     *
     * @param string $publicKeyHash
     *
     * @return $this
     */
    public function setPublicKeyHash(string $publicKeyHash): self;

    /**
     * Getter for TransactionId.
     *
     * @return string
     */
    public function getTransactionId(): string;

    /**
     * Setter for TransactionId.
     *
     * @param string $transactionId
     *
     * @return $this
     */
    public function setTransactionId(string $transactionId): self;

    /**
     * Getter for ApplicationData.
     *
     * @return string
     */
    public function getApplicationData(): string;

    /**
     * Setter for ApplicationData.
     *
     * @param string $applicationData
     *
     * @return $this
     */
    public function setApplicationData(string $applicationData): self;
}
