<?php

namespace Fgc\SecurePay\Gateway\Request;

use Fgc\SecurePay\Gateway\Constants;
use Magento\Checkout\Model\Session;
use Magento\Framework\App\RequestInterface;
use Magento\Payment\Gateway\Request\BuilderInterface;

class WalletSaleRequest implements BuilderInterface
{
    protected RequestInterface $request;
    protected Session $checkoutSession;

    public function __construct(
        RequestInterface $request,
        Session $checkoutSession
    ) {
        $this->request = $request;
        $this->checkoutSession = $checkoutSession;
    }

    public function build(array $buildSubject)
    {
        $payment = $buildSubject['payment'];
        $order = $payment->getOrder();

        $requestBody = file_get_contents('php://input');
        $requestData = json_decode($requestBody, true);

        return [
            Constants::KEY_ORDER_TYPE => Constants::ORDER_TYPE_SALE,
            Constants::KEY_ORDER_ID => $order->getOrderIncrementId(),
            Constants::KEY_AMOUNT => $order->getGrandTotalAmount() * 100,
            Constants::KEY_PAYMENT_DATA => $requestData['paymentMethod']['additional_data']['paymentData'] ?? null,
            Constants::KEY_CURRENCY => $this->checkoutSession->getQuote()->getBaseCurrencyCode()
        ];
    }
}
