<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

namespace Fgc\SecurePay\Gateway\Response;

use Fgc\SecurePay\Gateway\Constants;
use Fgc\SecurePay\Helper\QuoteData;
use InvalidArgumentException;
use Magento\Payment\Gateway\Data\PaymentDataObjectInterface;
use Magento\Payment\Gateway\Response\HandlerInterface;

class ApplePayHandler implements HandlerInterface
{
    protected QuoteData $quoteData;

    public function __construct(QuoteData $quoteData)
    {
        $this->quoteData = $quoteData;
    }

    /**
     * Handles transaction id
     *
     * @param array $handlingSubject
     * @param array $response
     * @return void
     */
    public function handle(array $handlingSubject, array $response)
    {
        if (!isset($handlingSubject['payment'])
            || !$handlingSubject['payment'] instanceof PaymentDataObjectInterface
        ) {
            throw new InvalidArgumentException('Payment data object should be provided');
        }
        /** @var PaymentDataObjectInterface $paymentDO */
        $paymentDO = $handlingSubject['payment'];
        $payment = $paymentDO->getPayment();
        /** @var $payment Payment */
        if (isset($response[Constants::KEY_TRANSACTION_RESULT]['bankTransactionId'])) {
            $payment->setTransactionId($response[Constants::KEY_TRANSACTION_RESULT]['bankTransactionId']);
        }
        $payment->setIsTransactionClosed(false);
    }
}
