<?php

namespace Fgc\SecurePay\Logger;

use Fgc\SecurePay\Helper\Config;
use Psr\Log\LoggerInterface;

class Logger extends \Monolog\Logger
{
    protected LoggerInterface $logger;
    protected Config $configHelper;

    public function __construct(
        $name,
        LoggerInterface $logger,
        Config $configHelper,
        array $handlers = array(),
        array $processors = array()
    ) {
        parent::__construct($name, $handlers, $processors);
        $this->logger = $logger;
        $this->configHelper = $configHelper;
    }

    public function debug($message, array $context = array()): void
    {
        if ($this->configHelper->isDebug()) {
            $this->logger->debug($message, $context);
            parent::debug($message, $context);
        }
    }
}
