<?php

namespace Fgc\SecurePay\Model\Data;

use Fgc\SecurePay\Api\Data\ApplePayPaymentDataInterface;
use Magento\Framework\DataObject;

class ApplePayPaymentData extends DataObject implements ApplePayPaymentDataInterface
{
    /**
     * @inheritdoc
     */
    public function getEncryptedData(): string
    {
        return $this->getData(self::ENCRYPTED_DATA);
    }

    /**
     * @inheritdoc
     */
    public function setEncryptedData(string $encryptedData): self
    {
        return $this->setData(self::ENCRYPTED_DATA, $encryptedData);
    }

    /**
     * @inheritdoc
     */
    public function getSignature(): string
    {
        return $this->getData(self::SIGNATURE);
    }

    /**
     * @inheritdoc
     */
    public function setSignature(string $signature): self
    {
        return $this->setData(self::SIGNATURE, $signature);
    }

    /**
     * @inheritdoc
     */
    public function getVersion(): string
    {
        return $this->getData(self::VERSION);
    }

    /**
     * @inheritdoc
     */
    public function setVersion(string $version): self
    {
        return $this->setData(self::VERSION, $version);
    }

    /**
     * @inheritdoc
     */
    public function getEphemeralPublicKey(): string
    {
        return $this->getData(self::EPHEMERAL_PUBLIC_KEY);
    }

    /**
     * @inheritdoc
     */
    public function setEphemeralPublicKey(string $ephemeralPublicKey): self
    {
        return $this->setData(self::EPHEMERAL_PUBLIC_KEY, $ephemeralPublicKey);
    }

    /**
     * @inheritdoc
     */
    public function getPublicKeyHash(): string
    {
        return $this->getData(self::PUBLIC_KEY_HASH);
    }

    /**
     * @inheritdoc
     */
    public function setPublicKeyHash(string $publicKeyHash): self
    {
        return $this->setData(self::PUBLIC_KEY_HASH, $publicKeyHash);
    }

    /**
     * @inheritdoc
     */
    public function getTransactionId(): string
    {
        return $this->getData(self::TRANSACTION_ID);
    }

    /**
     * @inheritdoc
     */
    public function setTransactionId(string $transactionId): self
    {
        return $this->setData(self::TRANSACTION_ID, $transactionId);
    }

    /**
     * @inheritdoc
     */
    public function getApplicationData(): string
    {
        return $this->getData(self::APPLICATION_DATA);
    }

    /**
     * @inheritdoc
     */
    public function setApplicationData(string $applicationData): self
    {
        return $this->setData(self::APPLICATION_DATA, $applicationData);
    }

}
