<?php

namespace Fgc\SecurePay\Model\Data;

use Fgc\SecurePay\Api\Data\ThreeDDataInterface;
use Magento\Framework\DataObject;

class ThreeDData extends DataObject implements ThreeDDataInterface
{
    /**
     * @inheritDoc
     */
    public function getProviderClientId(): ?string
    {
        return $this->getData(self::PROVIDER_CLIENT_ID);
    }

    /**
     * @inheritDoc
     */
    public function setProviderClientId(?string $providerClientId): void
    {
        $this->setData(self::PROVIDER_CLIENT_ID, $providerClientId);
    }

    /**
     * @inheritDoc
     */
    public function getSessionId(): ?string
    {
        return $this->getData(self::SESSION_ID);
    }

    /**
     * @inheritDoc
     */
    public function setSessionId(?string $sessionId): void
    {
        $this->setData(self::SESSION_ID, $sessionId);
    }

    /**
     * @inheritDoc
     */
    public function getSimpleToken(): ?string
    {
        return $this->getData(self::SIMPLE_TOKEN);
    }

    /**
     * @inheritDoc
     */
    public function setSimpleToken(?string $simpleToken): void
    {
        $this->setData(self::SIMPLE_TOKEN, $simpleToken);
    }

    /**
     * @inheritDoc
     */
    public function getOrderToken(): ?string
    {
        return $this->getData(self::ORDER_TOKEN);
    }

    /**
     * @inheritDoc
     */
    public function setOrderToken(?string $orderToken): void
    {
        $this->setData(self::ORDER_TOKEN, $orderToken);
    }

    /**
     * @inheritDoc
     */
    public function getRiskData(): ?string
    {
        return $this->getData(self::RISK_DATA);
    }

    /**
     * @inheritDoc
     */
    public function setRiskData(?string $riskData): void
    {
        $this->setData(self::RISK_DATA, $riskData);
    }
}
