<?php

namespace Fgc\SecurePay\Model\Ui;

use Fgc\SecurePay\Helper\Config;
use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Directory\Helper\Data;
use Magento\Store\Model\Store;
use Magento\Store\Model\StoreManagerInterface;

class ApplePayConfigProvider implements ConfigProviderInterface
{
    public const CODE = 'securepay_applepay';

    protected Config $configHelper;
    protected StoreManagerInterface $storeManager;
    protected Data $directoryHelper;

    public function __construct(
        Config $configHelper,
        StoreManagerInterface $storeManager,
        Data $directoryHelper
    ) {
        $this->configHelper = $configHelper;
        $this->storeManager = $storeManager;
        $this->directoryHelper = $directoryHelper;
    }

    /**
     * @inheritDoc
     */
    public function getConfig()
    {
        /** @var Store $store */
        $store = $this->storeManager->getStore();
        return [
            'payment' => [
                self::CODE => [
                    'isActive' => $this->configHelper->isApplePayActive(),
                    'countryCode' => $this->directoryHelper->getDefaultCountry($store->getId()),
                    'currencyCode' => $store->getBaseCurrencyCode(),
                    'storeName' => $store->getName(),
                    'logoUrl' => $this->configHelper->getLogoUrl(),
                    'cardTypes' => $this->configHelper->getApplePayAllowedCardTypes(),
                ]
            ]
        ];
    }
}
