<?php

use Magento\Framework\Component\ComponentRegistrar;

spl_autoload_register(function ($class) {
  if ($class[0] === '\\') {
      $class = substr($class, 1);
  }
  $namespace = 'SecurePayApi';
  // Does the class use the namespace prefix?
  $len = strlen($namespace);
  if (strncmp($namespace, $class, $len) !== 0) {
      // no, move to the next registered autoloader
      return false;
  }

  // Replace the namespace prefix with the base directory, replace namespace
  // separators with directory separators in the relative class name, append
  // with .php
  $file = __DIR__ . '/vendor/fgct/securepay-api/src/' . str_replace('\\', '/', $class) . '.php';
  // if the file exists, require it
  if (file_exists($file)) {
      require_once $file;
      return true;
  }
  return false;
});

ComponentRegistrar::register(ComponentRegistrar::MODULE, 'Fgc_SecurePay', __DIR__);
