/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
/*browser:true*/
/*global define*/
define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/payment/renderer-list'
    ],
    function (
        Component,
        rendererList
    ) {
        'use strict';
        var config = window.checkoutConfig.payment;

        if (config['securepay'].isActive) {
            rendererList.push(
                {
                    type: 'securepay',
                    component: 'Fgc_SecurePay/js/view/payment/method-renderer/securepay'
                }
            );
        }

        if (config['securepay_applepay'].isActive && typeof ApplePaySession !== 'undefined' && ApplePaySession.canMakePayments()) {
            rendererList.push(
                {
                    type: 'securepay_applepay',
                    component: 'Fgc_SecurePay/js/view/payment/method-renderer/securepay-applepay'
                }
            );
        }

        return Component.extend({});
    }
);
